## mx4j.tools.remote
Class AbstractJMXConnectorServer

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          javax.management.remote.JMXConnectorServer
              mx4j.tools.remote.AbstractJMXConnectorServer

All Implemented Interfaces:
  javax.management.remote.JMXConnectorServerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

Direct Known Subclasses:
  HTTPConnectorServer, LocalConnectorServer

public abstract class AbstractJMXConnectorServer
extends javax.management.remote.JMXConnectorServer

Extends the implementation of JMXConnectorServer by implementing most JMXConnectorServer methods following the JSR 160 specification and delegating implementation specific operations using the template method pattern.

Version:
  $Revision: 1.8 $
See Also:
  `ConnectionManager`

Field Summary

Fields inherited from class javax.management.remote.JMXConnectorServer
`AUTHENTICATOR`

Constructor Summary
`AbstractJMXConnectorServer(javax.management.remote.JMXServiceURL url, java.util.Map environment, javax.management.MBeanServer server)`

Method Summary
`void` `connectionClosed(java.lang.String connectionId, java.lang.String message, java.lang.Object userData)`
`void` `connectionFailed(java.lang.String connectionId, java.lang.String message, java.lang.Object userData)`
`void` `connectionOpened(java.lang.String connectionId, java.lang.String message, java.lang.Object userData)`
`protected abstract void` `doStart()` Template method implemented by subclasses to start this JMXConnectorServer
`protected abstract void` `doStop()` Template method implemented by subclasses to stop this JMXConnectorServer
`javax.management.remote.JMXServiceURL` `getAddress()`
`java.util.Map` `getAttributes()`
`protected java.util.Map` `getEnvironment()` Returns the environment Map as is, without removing non-serializable entries like `getAttributes()` does.
`protected Logger` `getLogger()`
`boolean` `isActive()`
`protected boolean` `isStopped()` Returns whether the `stop()` method of this JMXConnectorServer has been called.
`protected void` `setAddress(javax.management.remote.JMXServiceURL url)` Sets the JMXServiceURL that represent the address of this JMXConnectorServer
`void` `start()`
`void` `stop()`

Methods inherited from class javax.management.remote.JMXConnectorServer
`getConnectionIds, getMBeanServer, getNotificationInfo, postDeregister, postRegister, preDeregister, preRegister, setMBeanServerForwarder, toJMXConnector`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJMXConnectorServer

    public AbstractJMXConnectorServer(javax.management.remote.JMXServiceURL url,
                                      java.util.Map environment,
                                      javax.management.MBeanServer server)

Method Detail

### getAddress

    public javax.management.remote.JMXServiceURL getAddress()

### setAddress

    protected void setAddress(javax.management.remote.JMXServiceURL url)

  Sets the JMXServiceURL that represent the address of this JMXConnectorServer

### getAttributes

    public java.util.Map getAttributes()

### getEnvironment

    protected java.util.Map getEnvironment()

  Returns the environment Map as is, without removing non-serializable entries like `getAttributes()` does.

### isActive

    public boolean isActive()

### isStopped

    protected boolean isStopped()

  Returns whether the `stop()` method of this JMXConnectorServer has been called.

### start

    public void start()
               throws java.io.IOException,
                      java.lang.IllegalStateException

  Throws:
    `java.io.IOException`
    `java.lang.IllegalStateException`

### doStart

    protected abstract void doStart()
                             throws java.io.IOException,
                                    java.lang.IllegalStateException

  Template method implemented by subclasses to start this JMXConnectorServer

  Throws:
    `java.io.IOException`
    `java.lang.IllegalStateException`

### stop

    public void stop()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### doStop

    protected abstract void doStop()
                            throws java.io.IOException

  Template method implemented by subclasses to stop this JMXConnectorServer

  Throws:
    `java.io.IOException`

### getLogger

    protected Logger getLogger()

### connectionOpened

    public void connectionOpened(java.lang.String connectionId,
                                 java.lang.String message,
                                 java.lang.Object userData)

### connectionClosed

    public void connectionClosed(java.lang.String connectionId,
                                 java.lang.String message,
                                 java.lang.Object userData)

### connectionFailed

    public void connectionFailed(java.lang.String connectionId,
                                 java.lang.String message,
                                 java.lang.Object userData)

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.